layui.extend({
    common    :   'js/common'
}).use(['jquery','table','layer','form','common','util'], function () {
    var $ = layui.jquery;
    var table = layui.table;
    //  弹窗插件
    var layer = layui.layer;
    //  表单插件
    var form = layui.form;
    var common = layui.common;
    //表格对象
    var layuiTable = common.layuiTable.render(table,{
        elem: '#table-id'  //页面table的id
        , url: '/ad/push/task/showAdPushTaskList?pushStatus=1' //后台接口
        ,method: 'post'
        , cellMinWidth: 80 //全局定义常规单元格的最小宽度，
        , cols: [[
            { field: 'adTitle', title: '广告名称', align: 'center'}
            , { field: 'createAccountName', title: '发布人', align: 'center'}
            , { field: 'taskType', title: '广告类型',templet:'#taskType', align: 'center'}
            , { field: 'pushType', title: '发布方式',templet:'#pushType', align: 'center'}
            , { field: 'pushCount', title: '发布设备', align: 'center'}
            , { field: 'estimatePushDate', align: 'center', title: '发布时间',templet:'<div>{{ d.estimatePushDate ? layui.util.toDateString(d.estimatePushDate) : "" }}</div>' }
            , { field: 'pushStatus', align: 'center', title: '发布结果',templet:'#pushStatus'}
            , { field: '',title: '操作', align: 'center', toolbar: '#table-operate-id',width:180}
        ]]
        //  开启分页功能
        , page: true
    });


    //监听行工具事件  lay-filter="table-id"
    table.on('tool(table-id)', function(obj){
        var data = obj.data;
        //详情
        if(obj.event === 'task_detail'){
            common.openDefaultIframe({
                title   :   '编辑广告',
                content :   '/ad/push/task/detail/view?id='+data.id
            });
        }
    });

    //  重新加载表格
    var reloadTable = function(){
        var adTitle = $('#selectedAdTitle').val();
        var taskType = $('#selectedTaskType').val();
        //重新加载表格
        layuiTable.reload({
            where:{
                adTitle    :   adTitle,
                taskType   :   taskType,
            }
            //重新从第1页开始
            ,page: {
                curr: 1
            }
        });
    };

    //监听查询
    form.on('submit(query)', function(){
        reloadTable();
    });

    //监听重置
    form.on('submit(reset)', function(){
        $('#selectedAdTitle').val('');
        $('#selectedTaskType').val('');
        form.render('select');
        reloadTable();
    });
});

